Personal tools

Smarty Module

From OpenEMR Project Wiki

Jump to: navigation, search

OpenEMR 5.0.0 and above

1. Migrated to use composer. Basically ended up migrating from library/Smarty to vendor/smarty and adjusted codebase to use the autoloader. The custom plugins were left in library/smarty/plugins/ . Note kept using the same 2.6.29 version.

OpenEMR 4.2.2

In order to support PHP7, centralized all 3 below libraries to 1 Smarty library and migrated the centralized library to library/Smarty/ , which was upgraded to the 2.6.29 version.

1. Removed all smarty packages from:

  • library/Smarty.class.php (openemr)
  • interface/main/calendar/modules/PostCalendar/pnincludes/Smarty/ (postnuke)
  • gacl/admin/smarty/ (phpgacl)

2. Added most recent 2.6.x Smarty package(2.6.29) to:

  • library/Smarty/

3. Added custom smarty plugins from the prior smarty package (only the openemr instance had them) to the new Smarty package

4. Made several code changes in the calendar module to support the more recent Smarty package version

5. Directed the openemr/phpgacl/postnuke code to the new smarty package at library/Smarty/

OpenEMR 4.2.1 and below

There are 3 separate Smarty libraries within OpenEMR:
  • OpenEMR "native" code
  • library/ (note it was dumped right in the library directory...)
  • library/Smarty.class.php
  • Version 2.6.2
  • Postnuke calendar module
  • interface/main/calendar/modules/PostCalendar/pnincludes/Smarty/
  • Version 2.3.1
  • phpGACL module
  • gacl/admin/smarty/
  • Version 2.6.14